Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security
Class SecurityProcessingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.xml.stream.XMLStreamException
                              |
                              +--weblogic.xml.security.SecurityProcessingException

public class SecurityProcessingException
extends XMLStreamException

SecurityProcessingException is thrown in cases where the processing of a security related element has failed for reasons that maybe transient.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.xml.stream.XMLStreamException
`th`

Constructor Summary
`SecurityProcessingException()`
`SecurityProcessingException(java.lang.String msg)`
`SecurityProcessingException(java.lang.String msg, java.lang.Throwable th)`
`SecurityProcessingException(java.lang.Throwable th)`

Methods inherited from class weblogic.xml.stream.XMLStreamException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityProcessingException

    public SecurityProcessingException()

### SecurityProcessingException

    public SecurityProcessingException(java.lang.String msg)

### SecurityProcessingException

    public SecurityProcessingException(java.lang.Throwable th)

### SecurityProcessingException

    public SecurityProcessingException(java.lang.String msg,
                                       java.lang.Throwable th)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD